Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(4106)

Issue 10244046: CPP: Add suport for thread-safety on Linux and Mac in non-Boost base/. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 1 month ago by pliard1
Modified:
8 years, 1 month ago
Reviewers:
lararennie, pliard
CC:
shaopengjia
Base URL:
https://libphonenumber.googlecode.com/svn/trunk
Visibility:
Public.

Description

CPP: Add suport for thread-safety on Linux and Mac in non-Boost base/. This is needed for Chrome on Android which is the only Chrome port that requires thread-safety. R=lararennie@google.com Committed: https://code.google.com/p/libphonenumber/source/detail?r=583

Patch Set 1 #

Patch Set 2 : #

Total comments: 6

Patch Set 3 : Address Lara's comments #

Patch Set 4 : Fix missing namespace #

Unified diffs Side-by-side diffs Delta from patch set Stats (+165 lines, -14 lines) Patch
M cpp/README View 1 2 1 chunk +5 lines, -1 line 0 comments Download
M cpp/src/phonenumbers/base/memory/singleton.h View 1 2 3 3 chunks +15 lines, -6 lines 0 comments Download
A cpp/src/phonenumbers/base/memory/singleton_posix.h View 1 1 chunk +53 lines, -0 lines 0 comments Download
M cpp/src/phonenumbers/base/synchronization/lock.h View 2 chunks +27 lines, -6 lines 0 comments Download
A cpp/src/phonenumbers/base/synchronization/lock_posix.h View 1 chunk +63 lines, -0 lines 0 comments Download
M cpp/src/phonenumbers/base/thread_checker.h View 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 6
pliard1
For more context please see https://code.google.com/p/chromium/issues/detail?id=236272.
8 years, 1 month ago (2013-06-14 13:52:30 UTC) #1
lararennie
https://codereview.appspot.com/10244046/diff/2001/cpp/README File cpp/README (right): https://codereview.appspot.com/10244046/diff/2001/cpp/README#newcode238 cpp/README:238: multi-threaded environments other other than -> "that are not" ...
8 years, 1 month ago (2013-06-17 10:33:29 UTC) #2
pliard1
Thanks Lara. https://codereview.appspot.com/10244046/diff/2001/cpp/README File cpp/README (right): https://codereview.appspot.com/10244046/diff/2001/cpp/README#newcode238 cpp/README:238: multi-threaded environments other On 2013/06/17 10:33:29, lararennie ...
8 years, 1 month ago (2013-06-17 11:28:03 UTC) #3
lararennie
LGTM
8 years, 1 month ago (2013-06-17 11:40:42 UTC) #4
pliard
Thanks Lara! On Mon, Jun 17, 2013 at 1:40 PM, <lararennie@google.com> wrote: > LGTM > ...
8 years, 1 month ago (2013-06-17 11:41:04 UTC) #5
pliard1
8 years, 1 month ago (2013-06-17 11:53:09 UTC) #6
Message was sent while issue was closed.
Committed patchset #4 manually as r583 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b